diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
new file mode 100644
index f5a6bbb..17bb846
*** a/src/bin/pg_dump/pg_dump.c
--- b/src/bin/pg_dump/pg_dump.c
*************** main(int argc, char **argv)
*** 563,572 ****
  		dump_inserts = 1;
  
  	if (dataOnly && schemaOnly)
! 		exit_horribly(NULL, "options -s/--schema-only and -a/--data-only cannot be used together\n");
  
  	if (dataOnly && outputClean)
! 		exit_horribly(NULL, "options -c/--clean and -a/--data-only cannot be used together\n");
  
  	if (dump_inserts && oids)
  	{
--- 563,578 ----
  		dump_inserts = 1;
  
  	if (dataOnly && schemaOnly)
! 	{
! 		write_msg(NULL, "options -s/--schema-only and -a/--data-only cannot be used together\n");
! 		exit_nicely(1);
! 	}
  
  	if (dataOnly && outputClean)
! 	{
! 		write_msg(NULL, "options -c/--clean and -a/--data-only cannot be used together\n");
! 		exit_nicely(1);
! 	}
  
  	if (dump_inserts && oids)
  	{
